# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ##### END GPL LICENSE BLOCK #####


bl_info = {
    "name": "Speaker Tools",
    "author": "batFINGER",
    "location": "Animation",
    "description": "Add Equaliser / Driver / Lipsync to speaker data",
    "warning": "Pre Alpha",
    "wiki_url": "",
    "tracker_url": "",
    "support": 'TESTING',
    "category": "Animation"}


mods = ("Equalizer","EqMenu","NLALipsync")
if "bpy" in locals():
    import imp
    for mod in mods:
        exec("imp.reload(%s)"%mod)


else:
    for mod in mods:
        exec("from . import %s"%mod)


import bpy


def register():
    Equalizer.register()
    EqMenu.register()
    NLALipsync.register()

    
def unregister():
    Equalizer.unregister()
    EqMenu.unregister()
    NLALipsync.unregister()
